FORMS(3)

NAME
form_userptr, set_form_userptr - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
void *
form_userptr(FORM *form);
int
set_form_userptr(FORM *form, void *ptr);

DESCRIPTION
The form_userptr() function returns the pointer to the user defined data associated with the form, this pointer may be set using the set_form_userptr() call.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following error values:

E_OK
    The function was successful.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.